Puis-je utiliser Hyper-V gen 2 avec Ubuntu?

15

J'ai essayé d'installer Ubuntu 13.10 sur mon ordinateur portable Windows 8.1 Pro. L'installer maintenant en tant que gen 1 fonctionne bien, mais ne l'installe pas en tant que gen 2. Je dois désactiver le démarrage sécurisé pour que tout se passe comme prévu, mais quand je le désactive, je me lance dans la version 2 de grub avec quelques options. Peu importe ce que je choisis, je reçois un écran vide et rien ne se passe. Est-ce que je fais quelque chose de mal ou est-ce que je manque quelque chose ou est-ce qu'Hyper-v ne pourra pas exécuter Ubuntu comme une machine virtuelle de gen 2?

    
posée user1623709 30.11.2013 - 09:21
la source

3 réponses

12

Par souci d'exhaustivité. 14.04 fonctionne sur la génération Hyper-V 2. Entre autres choses, la version 3.13 du noyau est requise pour la génération 2. Je l'utilise moi-même et ça marche bien.

Vous souhaiterez peut-être définir manuellement la résolution de l'écran, car le réglage du mode de la manière habituelle n'est pas encore pris en charge par le module du noyau hyperv_fb.

Cela peut être archivé en ouvrant le fichier /etc/default/grub avec l'éditeur de votre choix en tant que root. Puis éditez la ligne

GRUB_CMDLINE_LINUX=""

à lire

GRUB_CMDLINE_LINUX="video=hyperv_fb:[width]x[height]"

remplacer [width] et [height] par les valeurs souhaitées. Par exemple, pour la résolution FullHD, j'utilise

GRUB_CMDLINE_LINUX="video=hyperv_fb:1920x1080"

pour appliquer les nouveaux paramètres, exécutez-les ensuite dans une fenêtre de terminal

sudo update-grub

et redémarrez le système invité. La prochaine fois que votre invité Linux aura la résolution souhaitée.

    
réponse donnée Jan Henke 07.04.2014 - 09:50
la source
8

Oui, vous pouvez!

Une seule chose à savoir: le démarrage sécurisé doit être désactivé . Hyper-V permet un démarrage sécurisé par défaut. Si vous cliquez simplement sur l'assistant pour créer une machine virtuelle, cela ne fonctionnera pas. Vous devez désactiver le démarrage sécurisé. Vous pouvez le faire en modifiant les paramètres de la machine virtuelle avec le gestionnaire Hyper-V. Sous Firmware est une option pour le démarrage sécurisé.

lien

    
réponse donnée gijswijs 21.07.2014 - 23:16
la source
7

Comme indiqué dans la discussion dans l’article de blog suivant par l’un des agents travaillant sur Hyper-V, il ne semble pas que les distributions Linux actuelles prennent en charge Hyper-V gen2.

  

Le support Linux est en cours de développement. Il ne nécessite aucun changement dans   Hyper-V, plutôt dans l'ensemble des composants LIS, plus quelques modifications du noyau   pour prendre en charge les périphériques appropriés.

     

Cheers,

     

John.

Référence:

réponse donnée runxc1 Bret Ferrier 04.12.2013 - 00:06
la source

Lire d'autres questions sur les étiquettes